## kaisen-tools 3.0

=== debian/changelog ===
kaisen-tools (3.0) kaisen-packages; urgency=medium

  * The package is now in 3.0
  * Remove reiser4progs, network-manager-fortisslvpn,
    network-manager-fortisslvpn-gnome and wondershaper packages
  * Replace freerdp2-x11 by freerdp3-x11
  * Deletion of bloodhound (no longer works)
  * Deletion of exfat-fuse (no longer used)

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 12 Aug 2025 15:34:14 +0200

kaisen-tools (2.3+kaisen15) kaisen-packages; urgency=medium

  * Drop bonnie++
  * Replace hardinfo by hardinfo2
  * Replace balena-etcher-electron by balena-etcher

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 16 Jan 2025 04:27:25 +0200

kaisen-tools (2.3+kaisen14) kaisen-packages; urgency=medium

  * Delete zfs-fuse service scripts (no longer used)
  * No longer install reiserfs package (support completely dropped on Linux 6.13)
  * No longer install ecryptfs (no longer new version since 2016)
  * No longer install glusterfs client tools (RHGS no longer support since
    december 31th 2024)
  * No longer install zfsnap tool (ZFS snap can be managed with the main ZFS
    tool)
  * Add zfsutils and zfs-zed services scripts
  * Add winbind service scripts
  * Add firewalld service scripts
  * Update all-services-enable and all-services-disabled scripts
  * Drop the disable and enable blueman-mechanism commands
  * Drop the ceph-fuse disable and enable commands
  * Drop the hddtemp disable and enable commands

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 13 Jan 2025 14:39:03 +0200

kaisen-tools (2.3+kaisen13) kaisen-packages; urgency=medium

  * Add openbao service launchers

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 19 Nov 2024 07:44:46 +0200

kaisen-tools (2.3+kaisen12) kaisen-packages; urgency=medium

  * Replace zfs-fuse by zfs-dkms
  * Remove ceph-fuse

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 17 Sep 2024 11:13:56 +0200

kaisen-tools (2.3+kaisen11) kaisen-packages; urgency=medium

  * Add opentofu and openbao tools

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 24 Jul 2024 12:57:42 +0200

kaisen-tools (2.3+kaisen10) kaisen-packages; urgency=medium

  * Use the keepassxc-full package instead of keepassxc

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 20 May 2024 14:54:07 +0200

kaisen-tools (2.3+kaisen9) kaisen-packages; urgency=medium

  * Add linux-firmware-powervr and linux-firmware-intel-vsc packages

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 19 May 2024 04:41:19 +0200

kaisen-tools (2.3+kaisen8) kaisen-packages; urgency=medium

  * Remove following packages:
    - scrounge-ntfs
    - dnstop
    - hping3
    - crack
  * Remove hddtemp service scripts

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 17 May 2024 02:11:36 +0200

kaisen-tools (2.3+kaisen7) kaisen-packages; urgency=medium

  * Remove the dmraid and hddtemp packages
  * Remove the debian/compat file

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 07 May 2024 02:38:06 +0200

kaisen-tools (2.3+kaisen6) kaisen-packages; urgency=medium

  * Remove following packages:
    - gfio
    - git-repair
    - isomaster
    - clamfs
    - qemu-efi

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 14 Feb 2024 05:15:43 +0100

kaisen-tools (2.3+kaisen5) kaisen-packages; urgency=medium

  * Add tekton-cli and argo-cd (client) tools

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 09 Feb 2024 17:57:21 +0100

kaisen-tools (2.3+kaisen4) kaisen-packages; urgency=medium

  * Replace neofetch by hyfetch
  * Add the glab tool

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 24 Dec 2023 20:10:28 +0100

kaisen-tools (2.3+kaisen3) kaisen-packages; urgency=medium

  * Remove the firmware-microbit-python package

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 30 Oct 2023 13:05:51 +0100

kaisen-tools (2.3+kaisen2) kaisen-packages; urgency=medium

  * Add the kaisen-systemd-subvolume-delete package

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 27 Sep 2023 10:33:31 +0100

kaisen-tools (2.3+kaisen1) kaisen-packages; urgency=medium

  * Bump the version to ensure udpates
  * Add tftp client and server in the syadmin-uncategorized metapackage

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 14 Jun 2023 13:29:11 +0100

kaisen-tools (2.3) kaisen-packages; urgency=medium

  * Bump the version to 2.3
  * Add the tftpd-hpa service
  * Replace atftp by tftp-hpa as TFTP client

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 18 May 2023 17:44:25 +0100

kaisen-tools (2.2+kaisen9) kaisen-packages; urgency=medium

  * Add the sedutil tool

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 12 Apr 2023 16:17:18 +0100

kaisen-tools (2.2+kaisen8) kaisen-packages; urgency=medium

  * Remove libvirt sockets (cause more conflicts when activated at the same time
    of the daemon)

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 26 Mar 2023 06:47:34 +0100

kaisen-tools (2.2+kaisen7) kaisen-packages; urgency=medium

  * Add the simple-scan package

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 19 Mar 2023 21:05:02 +0100

kaisen-tools (2.2+kaisen6) kaisen-packages; urgency=medium

  * Rename libvort in libvirt

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 10 Mar 2023 12:43:18 +0100

kaisen-tools (2.2+kaisen5) kaisen-packages; urgency=medium

  * Add service scripts for lxd and lxd-agent packages
  * Add the socket unit file for SSH and Avahi
  * Add new libvirt drivers
  * Typo

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 01 Feb 2023 20:37:14 +0100

kaisen-tools (2.2+kaisen4) kaisen-packages; urgency=medium

  * Remove the notwireshark package

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 10 Jan 2023 16:10:21 +0100

kaisen-tools (2.2+kaisen3) kaisen-packages; urgency=medium

  * Remove the terraform-docs package


