=== debian/control ===
Source: kaisen-tools
Priority: optional
Section: kaisen-metapackages
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13)
Homepage: https://kaisenlinux.org
Vcs-Git: https://gitlab.com/kaisenlinux/packages/kaisen-tools.git
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/kaisen-tools

#Filesystems metapackage
Package: kaisen-filesystems
Architecture: all
Recommends: cryptsetup,
	    cryptsetup-initramfs,
	    dmsetup,
	    mdadm,
	    lvm2,
	    dosfstools,
	    f2fs-tools,
	    nilfs-tools,
	    ocfs2-tools,
	    btrfs-compsize,
	    btrfs-heatmap,
	    btrfs-progs,
	    btrfsmaintenance,
	    gfs2-utils,
	    hfsplus,
	    hfsprogs,
	    hfsutils,
	    hfsutils-tcltk,
	    jfsutils,
	    vmfs-tools,
	    xfsdump,
	    xfsprogs,
	    zfs-dkms,
	    zfs-test,
	    zfs-zed,
	    zfsutils-linux,
	    exfatprogs,
	    fuse3,
	    udfclient,
	    udftools,
	    vmfs6-tools,
	    xmount,
	    archivemount,
	    tmfs,
	    cifs-utils,
	    apfs-fuse,
	    apfsprogs,
	    libbde-utils,
	    dislocker,
	    libfvde-utils,
	    libvhdi-utils,
	    libvmdk-utils,
	    libfsntfs-utils,
	    gvfs-fuse,
	    gvfs,
	    ntfs-3g,
	    wimtools,
Description: Adding a lot filesystems tools for improving systems support on Kaisen Linux

#Firmwares metapackage
Package: kaisen-firmwares
Architecture: all
Recommends: linux-firmware-acenic,
	    linux-firmware-adaptec,
	    linux-firmware-advansys,
	    linux-firmware-alacritech,
	    linux-firmware-amd-graphics,
	    linux-firmware-amd-microcode,
	    linux-firmware-atheros,
	    linux-firmware-atmel,
	    linux-firmware-atusb,
	    linux-firmware-broadcom,
	    linux-firmware-cadence,
	    linux-firmware-cavium,
	    linux-firmware-chelsio,
	    linux-firmware-cirrus,
	    linux-firmware-conexant,
	    linux-firmware-doc,
	    linux-firmware-edgeport,
	    linux-firmware-ene,
	    linux-firmware-inside-secure,
	    linux-firmware-intel-bluetooth,
	    linux-firmware-intel-ethernet,
	    linux-firmware-intel-graphics,
	    linux-firmware-intel-hfi1,
	    linux-firmware-intel-iscsi,
	    linux-firmware-intel-qat,
	    linux-firmware-intel-sound,
	    linux-firmware-intel-vsc,
	    linux-firmware-iwlwifi,
	    linux-firmware-kaweth,
	    linux-firmware-libertas,
	    linux-firmware-mediatek,
	    linux-firmware-mellanox,
	    linux-firmware-microchip,
	    linux-firmware-multitec-usb,
	    linux-firmware-myricom,
	    linux-firmware-netronome,
	    linux-firmware-nvidia-graphics,
	    linux-firmware-powervr,
	    linux-firmware-qlogic,
	    linux-firmware-ralink,
	    linux-firmware-realtek,
	    linux-firmware-redpine,
	    linux-firmware-renesas,
	    linux-firmware-rockchip,
	    linux-firmware-rocketport,
	    linux-firmware-tehuti,
	    linux-firmware-vxge,
	    linux-firmware-wfx,
	    firmware-b43-installer,
	    firmware-ast,
	    firmware-sof-signed,
	    firmware-zd1211,
	    bluetooth,
	    blueman,
	    bluez-tools,
	    bluez-firmware,
	    alsa-firmware-loaders,
	    nvidia-driver,
	    nvidia-legacy-390xx-driver,
	    intel-microcode,
Description: GPU/Sound/Wi-Fi/Bluetooth firmwares (improve hardware compatibility)

#Miscellaneous tools metapackage
Package: kaisen-miscellaneous
Architecture: all
Recommends: progress,
	    pv,
	    less,
	    plocate,
	    dirmngr,
	    gpa,
	    gpg,
	    gnupg2,
	    curl,
	    wget,
	    git,
	    lazygit,
	    gpg-agent,
	    hyfetch,
	    img2pdf,
	    mc,
	    strace,
	    yamllint,
	    ltrace,
	    tree,
	    vim,
	    codium,
	    cups,
	    hexedit,
	    file,
	    psmisc,
	    htop,
	    lsof,
	    lzop,
	    p7zip-full,
	    pigz,
	    unp,
	    unar,
	    unrar-free,
	    unzip,
	    zip,
	    bzip2,
	    tar,
	    unrar,
	    zstd,
	    gtkhash,
	    keepassxc-full,
	    apg,
	    pwgen,
	    fred,
	    cabextract,
	    btop,
	    jq,
	    yq,
	    simple-scan,
Description: Meta package for miscellaneous useful software (lsof, htop, git, gpg-agent, codium, vim, tree, less...)

#Devops et cloud tools
Package: kaisen-sysops-tools
Architecture: all
Recommends: docker-compose,
	    docker.io,
	    ansible,
	    ansible-lint,
	    lxc,
	    lxctl,
	    lxd,
	    lxd-agent,
	    lxd-client,
	    lxd-migrate,
	    lxd-tools,
	    kubernetes-client,
	    vagrant,
	    vagrant-lxc,
	    vagrant-sshfs,
	    vagrant-libvirt,
	    jmeter,
	    awscli,
	    azure-cli,
	    packer,
	    puppet-agent,
	    pdk,
	    terraform,
	    tflint,
	    s3fs,
	    k6,
	    k9s,
	    helm,
	    podman,
	    buildah,
	    minikube,
	    eksctl,
	    trivy,
	    kustomize,
	    kind,
	    krew,
	    kubectx,
	    kyverno,
	    popeye,
	    tfsec,
	    vault,
	    velero,
	    terragrunt,
	    python3-openstackclient,
	    ctop,
	    lazydocker,
	    kubeshark,
	    glab,
	    tekton-cli,
	    argo-cd,
	    opentofu,
	    openbao,
Description: All DevOps and Cloud tools for Kaisen Linux

#BTRFS snapshots section
Package: kaisen-btrfs-snapshots
Architecture: all
Recommends: kaisen-timeshift-apt,
	    kaisen-systemd-subvolume-delete,
	    timeshift,
	    btrbk,
	    snapper,
	    grub-btrfs,
Description: All tools to take snapshots with BTRFS

#Network tools section
Package: kaisen-network-tools
Architecture: all
Recommends: kaisen-network-uncategorized,
	    kaisen-ethernet-tools,
	    kaisen-gns3,
	    kaisen-layer4-tools,
	    kaisen-layer3-tools,
	    kaisen-layer2-tools,
	    kaisen-network-monitoring,
	    kaisen-pcap-tools,
	    kaisen-portconsole-tools,
	    kaisen-network-scanners,
	    kaisen-vpn-tools,
	    kaisen-wifi-tools,
Description: All network tools (DHCP, DNS analysis, monitoring, TCP analysis...) for Kaisen Linux

Package: kaisen-network-uncategorized
Architecture: all
Recommends: 2ping,
	    cdpr,
	    comgt,
	    socat,
	    ssmping,
	    wakeonlan,
	    ifenslave,
	    bridge-utils,
	    tftp-hpa,
	    tftpd-hpa,
Description: All uncategorized network tools for Kaisen Linux

Package: kaisen-ethernet-tools
Architecture: all
Recommends: ethstatus,
	    ethtool,
	    packeth,
Description: All Ethernet tools for Kaisen Linux

Package: kaisen-gns3
Architecture: all
Recommends: dynamips,
	    gns3-gui,
	    gns3-server,
	    ubridge,
	    vpcs,
Description: GNS3 packaging for Kaisen Linux

Package: kaisen-layer4-tools
Architecture: all
Recommends: netcat,
	    netcat-openbsd,
	    tcpreplay,
	    tcpflow,
	    tcptrace,
	    tcptraceroute,
	    packetsender,
	    udpcast,
	    dsniff,
Description: All layer 4 OSI tools for Kaisen Linux

Package: kaisen-layer3-tools
Architecture: all
Recommends: net-tools,
	    ipcalc,
	    sipcalc,
	    iproute2,
	    iptraf-ng,
	    iptraf,
	    ipv6calc,
	    traceroute,
	    iputils-tracepath,
	    ndisc6,
Description: All layer 3 OSI tools for Kaisen Linux

Package: kaisen-layer2-tools
Architecture: all
Recommends: arp-scan,
	    arpalert,
	    iputils-arping,
	    arptables,
	    arpwatch,
	    macchanger,
Description: All layer 2 OSI tools for Kaisen Linux

Package: kaisen-network-monitoring
Architecture: all
Recommends: cbm,
	    etherape,
	    ifstat,
	    iftop,
	    iperf,
	    iperf3,
	    nethogs,
	    netperfmeter,
	    sockstat,
	    tcpstat,
	    dstat,
Description: All network monitoring tools for Kaisen Linux

Package: kaisen-pcap-tools
Architecture: all
Recommends: darkstat,
	    hunt,
	    netsed,
	    ngrep,
	    pcapfix,
	    scapy,
	    python3-scapy,
	    python3-pyx,
	    tcpdump,
	    tcpreplay,
	    tcpxtract,
	    tshark,
	    wireshark,
Description: All PCAP tools for Kaisen Linux

Package: kaisen-portconsole-tools
Architecture: all
Recommends: cu,
	    minicom,
	    picocom,
	    screen,
	    setserial,
	    statserial,
	    gtkterm,
Description: All port console tools for Kaisen Linux

Package: kaisen-network-scanners
Architecture: all
Recommends: arp-scan,
	    bettercap,
	    bettercap-caplets,
	    bettercap-ui,
	    driftnet,
	    dsniff,
	    ettercap-graphical,
	    lft,
	    masscan,
	    mitmproxy,
	    mtr-tiny,
	    nast,
	    ndiff,
	    netdiscover,
	    netsniff-ng,
	    net-tools,
	    ncat,
	    nmap,
	    nmapsi4,
	    scapy,
	    python3-scapy,
	    telnet,
	    iputils-tracepath,
	    traceroute,
Description: All network scanners for Kaisen Linux

Package: kaisen-vpn-tools
Architecture: all
Recommends: openvpn,
	    wireguard,
	    openfortivpn,
	    network-manager-openvpn,
	    network-manager-openconnect,
	    network-manager-openvpn-gnome,
	    network-manager-openconnect-gnome,
Description: All VPN tools for Kaisen Linux

Package: kaisen-wifi-tools
Architecture: all
Recommends: aircrack-ng,
	    iw,
	    rfkill,
	    linssid,
Description: All Wi-Fi tools for Kaisen Linux

#Sysadmin tools section
Package: kaisen-sysadmin-tools
Architecture: all
Recommends: kaisen-sysadmin-uncategorized,
	    kaisen-remote-administration,
	    kaisen-backup-tools,
	    kaisen-ftp-clients,
	    kaisen-microsoft-tools,
	    kaisen-virtualization-tools,
	    kaisen-dhcp-tools,
	    kaisen-dns-tools,
	    kaisen-tls-tools,
	    kaisen-firewalling,
	    kaisen-apparmor,
	    kaisen-databases-tools,
Description: Collection of sysadmin tools for Kaisen Linux

Package: kaisen-sysadmin-uncategorized
Architecture: all
Recommends: xca,
	    krb5-config,
	    krb5-pkinit,
	    krb5-user,
	    krb5-locales,
	    apache2-utils,
	    chrony,
	    python3-ldapdomaindump,
	    tftp-hpa,
	    tftpd-hpa,
Description: All uncategorized sysadmin tools for Kaisen Linux

Package: kaisen-remote-administration
Architecture: all
Recommends: virt-viewer,
	    rdesktop,
	    grdesktop,
	    freerdp3-x11,
	    ssh,
	    sshfs,
	    pssh,
	    clusterssh,
	    tmux,
	    zssh,
	    remmina,
	    remmina-plugin-exec,
	    remmina-plugin-kwallet,
	    remmina-plugin-www,
	    smbclient,
	    ssh-askpass,
	    sshpass,
	    sshs,
Description: All remote administration tools for Kaisen Linux

Package: kaisen-backup-tools
Architecture: all
Recommends: dirvish,
	    automysqlbackup,
	    autopostgresqlbackup,
	    bacula-bscan,
	    bacula-client,
	    bacula-common,
	    bacula-common-sqlite3,
	    bacula-console,
	    bacula-console-qt,
	    bacula-fd,
	    bacula-sd,
	    dump,
	    duplicity,
	    restic,
	    rsbackup,
	    rsync,
	    backup2l,
	    zsync,
	    vbackup,
	    duply,
	    grsync,
	    zbackup,
	    rdiff,
	    rdiff-backup,
	    rdiff-backup-fs,
	    borgbackup,
	    rclone,
Description: All backup tools for Kaisen Linux

Package: kaisen-ftp-clients
Architecture: all
Recommends: filezilla,
	    gftp,
	    lftp,
Description: All FTP clients for Kaisen Linux

Package: kaisen-microsoft-tools
Architecture: all
Recommends: powershell,
Description: All tools for Microsoft technologies for Kaisen Linux

Package: kaisen-virtualization-tools
Architecture: all
Recommends: virtualbox,
	    virtualbox-qt,
	    virtualbox-dkms,
	    virtualbox-source,
	    virtualbox-guest-additions-iso,
	    virtualbox-ext-pack,
	    virt-manager,
	    qemu-system,
	    qemu-system-x86,
	    qemu-system-gui,
	    qemu-utils,
	    libvirt-clients,
	    libvirt-clients-qemu,
	    libvirt-daemon,
	    libvirt-daemon-system,
	    libvirt-daemon-config-network,
	    libvirt-daemon-config-nwfilter,
	    libvirt-daemon-driver-lxc,
	    libvirt-daemon-driver-qemu,
	    libvirt-daemon-driver-storage-gluster,
	    libvirt-daemon-driver-storage-iscsi-direct,
	    libvirt-daemon-driver-storage-rbd,
	    libvirt-daemon-driver-storage-zfs,
	    libvirt-daemon-driver-vbox,
	    libvirt-daemon-driver-xen,
	    virtinst,
	    virt-viewer,
Description: All hypervisors tools for Kaisen Linux

Package: kaisen-tls-tools
Architecture: all
Recommends: ssldump,
	    sslscan,
	    sslsniff,
	    sslsplit,
	    sslyze,
Description: All SSL/TLS tools for Kaisen Linux

Package: kaisen-dhcp-tools
Architecture: all
Recommends: isc-dhcp-client,
	    isc-dhcp-common,
	    dhcpdump,
	    dhcping,
Description: All DHCP tools for Kaisen Linux

Package: kaisen-dns-tools
Architecture: all
Recommends: dnsenum,
	    mdns-scan,
